#include <bits/stdc++.h>
using namespace std;

int n, q;
int a[200005];
int x;

//bin pretraga
int levo;
int desno;

int finalPos;
int makeNew;
int medijana;
int res;

int main()
{
	scanf("%d %d", &n, &q);
	for (int i = 1; i <= n; ++i)
	{
		scanf("%d", &a[i]);
	}
	sort(a+1, a+n+1);

	for (int i = 0; i < q; ++i)
	{
		scanf("%d", &x);
		levo = 1;
		desno = n;
		finalPos = 0;
		makeNew = 1;
		medijana = n/2+1;
		res = 0;
		while (levo <= desno)
		{
			int srednji = (levo+desno)/2;
			if (a[srednji] == x)
			{
				finalPos = srednji;
				makeNew = 0;
				break;
			}
			else if (a[srednji] < x && (srednji == n || a[srednji+1] > x))
			{
				finalPos = srednji+1;
				break;
			}
			else if (a[srednji] > x && srednji == 1)
			{
				finalPos = srednji;
				break;
			}
			else if (a[srednji] < x)
			{
				levo = srednji+1;
			}
			else if (a[srednji] > x)
			{
				desno = srednji-1;
			}
		}
		if (makeNew == 1)
		{
			medijana = (n+1)/2+1;
			++res;
		}
		if (finalPos > medijana)
		{
			if ((n+makeNew)%2 == 0)
			{
				res += (finalPos-medijana)*2;
			}
			else
			{
				res += (finalPos-medijana)*2-1;
			}
		}
		else
		{
			if ((n+makeNew)%2 == 1)
			{
				res += (medijana-finalPos)*2;
			}
			else
			{
				res += (medijana-finalPos)*2-1;
			}
		}
		printf("%d\n", res);
	}
	return 0;
}